Subject: bug#44731: [PATCH] Make XEmacs compat aliases easy-menu-{add, remove} obsolete

From: Stefan Kangas <[email-masked]>
Date: Tue, 24 Nov 2020 09:14:38 -0800

tags 44731 fixed
close 44731 28.1
thanks

Lars Ingebrigtsen <[email-masked]> writes:

> Stefan Kangas <[email-masked]> writes:
>
>> The `easy-menu-remove' and `easy-menu-add' are XEmacs compatibility
>> aliases.  I think they do not make sense these days, and it is better
>> for code that wants to use them to wrap the call in something like
>> `(when (featurep 'xemacs) ...)'.
>>
>> The attached patch makes them obsolete and fixes all callers.  It takes
>> care to not remove XEmacs compatibility from any modules where it was
>> not already removed, so I hope this will be uncontroversial.
>
> Makes sense to me.

Thanks.  No further comments within a week, so I pushed this to master
as commit affe9b225d.